List prompt versions
curl --request GET \
--url https://api.arize.com/v2/prompts/{prompt_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/prompts/{prompt_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/prompts/{prompt_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prompt_versions": [
{
"id": "pv_002",
"prompt_id": "prompt_001",
"commit_hash": "def789ghi012",
"commit_message": "Updated system prompt",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
}
],
"input_variable_format": "f_string",
"provider": "open_ai",
"model": "gpt-4",
"created_at": "2024-01-02T12:00:00Z",
"created_by_user_id": "user_12345"
},
{
"id": "pv_001",
"prompt_id": "prompt_001",
"commit_hash": "abc123def456",
"commit_message": "Initial version",
"messages": [
{
"role": "system",
"content": "You are an assistant."
}
],
"input_variable_format": "f_string",
"provider": "open_ai",
"model": "gpt-4",
"created_at": "2024-01-01T12:00:00Z",
"created_by_user_id": "user_12345"
}
],
"pagination": {
"next_cursor": "cursor_12345",
"has_more": true
}
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Prompts
List prompt versions
List all versions of a prompt, sorted by creation date with the most recently created versions first.
This endpoint is in beta, read more here.
GET
/
v2
/
prompts
/
{prompt_id}
/
versions
List prompt versions
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique prompt identifier (base64) A universally unique identifier (base64-encoded opaque string).
Example:
"RW50aXR5OjEyMzQ1"
Query Parameters
Maximum items to return
Required range:
1 <= x <= 100Opaque pagination cursor returned from a previous response
(pagination.next_cursor). Treat it as an unreadable token; do not
attempt to parse or construct it.
Was this page helpful?
⌘I